﻿Type=Service
Version=3.5
@EndOfDesignText@
#Region Module Attributes
	#StartAtBoot: True
#End Region


'Service module
Sub Process_Globals
   
	Dim  smsBody, smsSender As String
	Dim smsInt As SmsInterceptor
	Dim mp As MediaPlayer
	Dim rm As RingtoneManager

End Sub
Sub Service_Create
	
   smsInt.Initialize2("smsInt", 999)  ' 999 give priority to app to stop sms Notification by default message handler
    
End Sub

Sub Service_Start(StartingIntent As Intent)
   	
End Sub

Sub smsInt_MessageReceived (From As String, Body As String) As Boolean
   	
	'first thing is to write message to the incomming message logs as default messenger has been bypassed .. ' 999 '
	AddMessageToLogs(From, Body)	
	
	'lget default notification sound and play
	mp.Initialize
	mp.Load(rm.GetContentDir, rm.GetDefault(rm.TYPE_NOTIFICATION))
	mp.Play
	
	'write phone number and message to process globals .. to be referenced by Main Activity
	smsSender = From	
	smsBody = Body
	
	StartActivity (Main)

	Return True		'by returning True .. message recieved event is consumed and no notification is raised by default sms hander app
   
End Sub

Sub AddMessageToLogs(From As String, Body As String)
  
   'http://www.basic4ppc.com/android/forum/threads/sent-sms-messages-wont-appear-in-the-log.22939/
   Dim r As Reflector
   r.Target = r.CreateObject("android.content.ContentValues")
   r.RunMethod3("put", "address", "java.lang.String", From, "java.lang.String")
   r.RunMethod3("put", "body", "java.lang.String", Body, "java.lang.String")
   Dim ContentValues As Object = r.Target
   r.Target = r.GetContext
   r.Target = r.RunMethod("getContentResolver")
   r.RunMethod4("insert", Array As Object( _
      r.RunStaticMethod("android.net.Uri", "parse", Array As Object("content://sms/inbox"), _  ' "content://sms/sent"  to write sent sms to Logs
         Array As String("java.lang.String")), _
      ContentValues), Array As String("android.net.Uri", "android.content.ContentValues"))
	  
End Sub




	